#include "timer2.h"

#define TIMER2_MODE0	//16位自动重载模式
//#define TIMER2_MODE1	//16位捕获模式
//#define TIMER2_MODE2	//可编程时钟输出
//#define TIMER2_MODE3	//递增/递减计数器


void T2_Init(void)
{
	#ifdef TIMER2_MODE0
	//配置定时器初值
	TH2 = 0xFF;
	TL2 = 0x9C;	
	T2CPH = 0x0F;		//配置定时器重载值
	T2CPL = 0x9C;	 //
	T2MOD = 0x10;  //系统时钟
	T2CON = 0x04;	 // timer2 16位自动重载模式
	#endif
}


void Timer2_Test()
{
	
	#ifdef TIMER2_MODE0
	EA = 1;
	IEN1 = 0x03;
	T2_Init();
  GPIO_OUTPUT(P1, 0, 0);
	#endif
	while(1);
}

void TIMER2_MODE0_() interrupt 6
{
	T2CON &= 0x7F; // 清除溢出标志位
	P1_0 = ~P1_0;
}

